Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas
Class Main

    java.lang.Object
      org.wso2.wsas.Main

    public class Main

extends java.lang.Object

The main class of the WSO2 WSAS standalone runtime.

Field Summary
`static java.lang.String` | `COMMAND_DEBUG`
`static java.lang.String` | `COMMAND_RESTART`
`static java.lang.String` | `COMMAND_RUN`
`static java.lang.String` | `COMMAND_START`
`static java.lang.String` | `COMMAND_STATUS`
`static java.lang.String` | `COMMAND_STOP`
`static java.lang.String` | `COMMAND_VERSION`
`static java.lang.Thread` | `shutdownHookThread`
`static XmlConfiguration` | `xmlConfiguration`

Constructor Summary
`Main()`

Method Summary
`org.apache.axis2.context.ConfigurationContext` | `getConfigContext()`
`static void` | `main(java.lang.String[] args)`
`void` | `setMonitor(Monitor m)`
`void` | `shutdown()`
`void` | `startServer()`
`void` | `status()`
`void` | `stop()`
`void` | `stopListeners()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMMAND_START

    public static final java.lang.String COMMAND_START

See Also:
  Constant Field Values

### COMMAND_RESTART

    public static final java.lang.String COMMAND_RESTART

See Also:
  Constant Field Values

### COMMAND_STOP

    public static final java.lang.String COMMAND_STOP

See Also:
  Constant Field Values

### COMMAND_RUN

    public static final java.lang.String COMMAND_RUN

See Also:
  Constant Field Values

### COMMAND_STATUS

    public static final java.lang.String COMMAND_STATUS

See Also:
  Constant Field Values

### COMMAND_VERSION

    public static final java.lang.String COMMAND_VERSION

See Also:
  Constant Field Values

### COMMAND_DEBUG

    public static final java.lang.String COMMAND_DEBUG

See Also:
  Constant Field Values

### shutdownHookThread

    public static java.lang.Thread shutdownHookThread

### xmlConfiguration

    public static XmlConfiguration xmlConfiguration

Constructor Detail

### Main

    public Main()

Method Detail

### startServer

    public void startServer()

### stop

    public void stop()
              throws java.io.IOException,
                     org.wso2.utils.ServerException

  Throws:
    `java.io.IOException`
    `org.wso2.utils.ServerException`

### status

    public void status()
                throws java.io.IOException

  Throws:
    `java.io.IOException`

### shutdown

    public void shutdown()
                  throws org.wso2.utils.ServerException

  Throws:
    `org.wso2.utils.ServerException`

### main

    public static void main(java.lang.String[] args)

### getConfigContext

    public org.apache.axis2.context.ConfigurationContext getConfigContext()

### setMonitor

    public void setMonitor(Monitor m)

### stopListeners

    public void stopListeners()
                       throws org.wso2.utils.ServerException

  Throws:
    `org.wso2.utils.ServerException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD